#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct Pong {
    #[serde(rename = "pingOriginallySentAt")]
    ping_originally_sent_at: conjure_object::DateTime<conjure_object::Utc>,
    #[serde(rename = "sentAt")]
    sent_at: conjure_object::DateTime<conjure_object::Utc>,
}
impl Pong {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        ping_originally_sent_at: conjure_object::DateTime<conjure_object::Utc>,
        sent_at: conjure_object::DateTime<conjure_object::Utc>,
    ) -> Self {
        Self::builder()
            .ping_originally_sent_at(ping_originally_sent_at)
            .sent_at(sent_at)
            .build()
    }
    #[inline]
    pub fn ping_originally_sent_at(
        &self,
    ) -> conjure_object::DateTime<conjure_object::Utc> {
        self.ping_originally_sent_at
    }
    #[inline]
    pub fn sent_at(&self) -> conjure_object::DateTime<conjure_object::Utc> {
        self.sent_at
    }
}
